# List User Permissions for a Campaign

List user permissions for an campaign

Endpoint: GET /campaigns/{campaign_id}/permissions
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `campaign_id` (integer, required)
    Numeric ID of the campaign

## Query parameters:

  - `page_limit` (integer)
    Number of elements in the collection to retrieve

  - `page_offset` (integer)
    Index of the first element in the collection to retrieve

  - `sort_by` (string)
    The field to sort by. You can use any field name in ascending or descending order.
For ascending order, use the field name directly, e.g., `id`. 
For descending order, prefix the field name with a hyphen (`-`), e.g., `-id`.

  - `q` (string)
    Query search for filtering. This parameter can be used to filter results based on various fields.
Supported operators:
- `==` - numeric equality or case-sensitive string identity, 
- `==(1,2,3)` - IN query (only works for integers),
- `!=` - numeric inequality or case-sensitive string non-identity,
- `=:` - case-insensitive match, allows substring using * wildcards,
- `<` - less than,
- `<=` - less than or equal to,
- `>` - greater than,
- `>=` - greater than or equal to.
Examples: 
- `q=name=:{search}*` to find all results with names starting with {search}.
- `q=status==true` to find all active entities.
- `q=id>=1000` to find all entities with id greater than or equal to 1000.
- `q=id==(1,2,3)` to find specific entities by ID.
- `q=created_on>1999-02-02` or `q=created_on>1999-02-02T00:00:00Z` to find entities created later than date.
- `q=id>5&status==true` to find all active entities with id greater than 5.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.permission` (object)

  - `data.permission.create` (boolean)

  - `data.permission.read` (boolean)

  - `data.permission.update` (boolean)

  - `data.permission.delete` (boolean)

  - `data.permission.inherited_from` (string)

  - `data.id` (integer)

  - `data.entity_type` (string)

  - `data.username` (string)

  - `data.active` (boolean)

  - `data.version` (integer)

  - `data.title` (string)

  - `data.first_name` (string)

  - `data.last_name` (string)

  - `data.link_ldap` (boolean)

  - `data.link_saml` (boolean)

  - `data.phone` (string)

  - `data.mobile` (string)

  - `data.fax` (string)

  - `data.type` (string)

  - `data.role` (string)

  - `data.scope` (string)

  - `data.view_organizations` (boolean)

  - `data.edit_campaigns` (boolean)

  - `data.edit_margins_and_performance` (boolean)

  - `data.labs_enable_rmx` (boolean)

  - `data.creator_id` (integer)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.last_login_on` (string)

  - `data.access_internal_fees` (boolean)

  - `data.view_segments` (boolean)

  - `data.edit_segments` (boolean)

  - `data.view_data_definition` (boolean)

  - `data.edit_data_definition` (boolean)

  - `data.view_dmp_reports` (boolean)

  - `data.email` (string)

  - `data.permissions` (object)

  - `data.permissions.organizations` (array)

  - `data.permissions.organizations.id` (integer)

  - `data.permissions.organizations.create` (boolean)

  - `data.permissions.organizations.read` (boolean)

  - `data.permissions.organizations.update` (boolean)

  - `data.permissions.organizations.delete` (boolean)

  - `data.permissions.organizations.propogate` (boolean)

  - `data.permissions.agencies` (array)

  - `data.permissions.advertisers` (array)

  - `data.roles` (array)
    Possible values:
- 2: "admin",
- 3: "manager",
- 4: "reporter",
- 5: "internal",
- 6: "agency" ,
- 7: "edit_data_definition",
- 8: "view_data_definition",
- 9: "edit_segments",
- 10: "view_segments",
- 11: "edit_campaigns",
- 13: "edit_margins_and_performance",
- 14: "view_organizations",
- 15: "view_dmp_reports",
- 16: "manage_contracts",
- 17: "view_contracts".
Some values can't be used with each other, for example 3 and 4. For more information use "/roles" request.
    Example: [4,6]

  - `data.language` (string)

  - `data.zone_name` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: success

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.
    Example: 0

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

